using OnlineSalesAutoCrop.CoreAPI.Models.Requests.Systems;
using OnlineSalesAutoCrop.CoreAPI.Models.Responses.Systems;
using System.Threading.Tasks;

namespace OnlineSalesAutoCrop.CoreAPI.Services.Contracts.Systems
{
	public interface IThisSystemService
	{
		Task<bool> SaveAsync(ThisSystemRequest request, string ipAddress, int modifiedBy);
		Task<bool> SaveWOTermsAsync(WOTermsRequest request, string ipAddress, int savedBy);

		Task<ThisSystemResponse> GetAsync();
		Task<WOTermsResponse> GetWOTermsAsync();
	}
}
